desc_extension.h File Reference
Parsers for several MPEG-TS descriptors

Provides the descriptors for the extension descriptor. More...

`#include <libdvbv5/descriptors.h>`

Go to the source code of this file.

## Data Structures

struct | dvb_extension_descriptor
| Structure containing the extended descriptors. More...
struct | dvb_ext_descriptor
| Structure that describes the parser functions for the extended descriptors. More...

## Typedefs

typedef int(* | dvb_desc_ext_init_func) (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_extension_descriptor *ext, void *desc)
| Function prototype for the extended descriptors parsing init code.
typedef void(* | dvb_desc_ext_print_func) (struct dvb_v5_fe_parms *parms, const struct dvb_extension_descriptor *ext, const void *desc)
| Function prototype for the extended descriptors parsing print code.
typedef void(* | dvb_desc_ext_free_func) (const void *desc)
| Function prototype for the extended descriptors parsing free code.

## Enumerations

enum | extension_descriptors { image_icon_descriptor , cpcm_delivery_signalling_descriptor , CP_descriptor , CP_identifier_descriptor , T2_delivery_system_descriptor , SH_delivery_system_descriptor , supplementary_audio_descriptor , network_change_notify_descriptor , message_descriptor , target_region_descriptor , target_region_name_descriptor , service_relocated_descriptor }
| List containing all extended descriptors used by Digital TV MPEG-TS as defined at ETSI EN 300 468 V1.11.1. More...

## Functions

int | dvb_extension_descriptor_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the extended descriptor.
void | dvb_extension_descriptor_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the extended descriptor.
void | dvb_extension_descriptor_free (struct dvb_desc *desc)
| Frees all data allocated by the extended descriptor.

## Detailed Description

Provides the descriptors for the extension descriptor.

The extension descriptor is used to extend the 8-bit namespace of the descriptor_tag field.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab

Relevant specs
  The descriptor described herein is defined at:

See also
  - ETSI EN 300 468 V1.11.1

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file desc_extension.h.